StdoutWrapper (Jython API documentation)
Date: 2012-08-13

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.python.core
Class StdoutWrapper

    java.lang.Object
      java.io.OutputStream
          org.python.core.StdoutWrapper

All Implemented Interfaces:
  Closeable, Flushable

Direct Known Subclasses:
  StderrWrapper

    public class StdoutWrapper

extends OutputStream

Constructor Summary
`StdoutWrapper()`

Method Summary
`void` | `flush()`
`void` | `flushLine()`
`void` | `print(PyObject o)`
`void` | `print(PyObject o, boolean space, boolean newline)`
`void` | `print(String s)`
`void` | `printComma(PyObject o)`
`void` | `println()`
`void` | `println(PyObject o)`
`void` | `println(String s)`
`void` | `write(byte[] data, int off, int len)`
`void` | `write(int i)`
`void` | `write(String s)`

Methods inherited from class java.io.OutputStream
`close, write`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StdoutWrapper

    public StdoutWrapper()

Method Detail

### flush

    public void flush()

  Specified by:
    `flush` in interface `Flushable`
  Overrides:
    `flush` in class `OutputStream`

### write

    public void write(String s)

### write

    public void write(int i)

  Specified by:
    `write` in class `OutputStream`

### write

    public void write(byte[] data,
                      int off,
                      int len)

  Overrides:
    `write` in class `OutputStream`

### flushLine

    public void flushLine()

### print

    public void print(PyObject o,
                      boolean space,
                      boolean newline)

### print

    public void print(String s)

### println

    public void println(String s)

### print

    public void print(PyObject o)

### printComma

    public void printComma(PyObject o)

### println

    public void println(PyObject o)

### println

    public void println()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Jython homepage